Subject: Re: bug#58605: 29.0.50; Commit 2a2f5530fa2 breaks ldap-search-internal

From: Jens Lechtenboerger <[email-masked]>
Date: Fri, 21 Oct 2022 08:25:35 +0200

Hi all,

On 2022-10-20, Filipp Gunbin wrote:

> Jens, did you by chance modify ldap-ldapsearch-args?  Its default value
> contains "-LLL" which suppresses noise like "search: 2" that you see.

yes, I change that variable as indicated in my bug report:

>> (let ((ldap-default-base "O=DFN-Verein,C=DE")
>>       (ldap-ldapsearch-args '("-x" "-tt" "-H ldaps://ldap.pca.dfn.de"))
>>       (search-plist '(host "" filter "mail=[email-masked]" attributes ("userCertificate") attrsonly nil withdn nil)))
>>   (ldap-search-internal search-plist))

Previously, this worked.

> I've now pushed the fix to master, could you please try?

I do not get an error any more, which is good, but also not nil,
which might break prior code: ((("search" " ") ("result" " ")))

Also, the format of return values for existing certificates seems to
have changed.  I hope to find time during the weekend to have a
closer look...

Best wishes
Jens